@mixin set-colors($base) {
  background: var(--#{$base});
  color: var(--#{$base}-inverse);
}

// old colors kept around for reference
//
//   --color-primary-0: #af0915;
//   --color-primary-1: #642328;
//   --color-primary-2: #2d181a;
//   --color-primary-3: #080505;
//   --color-primary-4: #000000;
//   --color-secondary-1-0: #5280ff;
//   --color-secondary-1-1: #132e79;
//   --color-secondary-1-2: #1d2845;
//   --color-secondary-1-3: #12161f;
//   --color-secondary-1-4: #040405;
//   --color-secondary-1-4-transparent: #04040599;
//   --color-secondary-1-5: #000000;
//   --color-complement-0: #389b08;
//   --color-complement-1: #32591f;
//   --color-complement-2: #1b2816;
//   --color-complement-3: #050705;
//   --color-complement-4: #000000;
//   /* Dark theme */
//   --nc-tx-1: #ffffff;
//   --nc-tx-2: #aaaaaa;
//   --nc-tx-3: #303030;
//   --nc-bg-1: #12161f;
//   --nc-bg-2: #1d2845;
//   --nc-bg-2-alt: #1a1f2b;
//   --nc-bg-3: #040405;
//   --nc-lk-1: #3291ff;
//   --nc-lk-2: #0070f3;
//   --nc-lk-tx: #ffffff;
//   --nc-ac-1: #7928ca;
//   --nc-ac-tx: #ffffff;
